Description

Support Request:

Hello together,

in comparison to ADTF 2, we would like to have default implementation of a calibration UI for XCP.

With this UI it shall be possible for user set values for calibration signals and send it vis XCP.

Best Regrads

Thomas

Solution:

the XCP Display has been dropped by Kundenforum for ADTF 3.x, so we currently only provide a qml example to set values via

connected XCP Master within our example sessions.

But we are working on a parameter gui for calibration.

Die zugehörige QML Datei findet ihr an folgender Stelle und könntet ihr dann entsprechend eurer Bedürfnisse erweitern:

$(ADTF_CALIBRATION_TOOLBOX_DIR)\src\examples\projects\Calibrationtoolbox_Project\adtfsessions\xcp_without_transportlayer

_session\external_files\QmlDataGenerator.qml

Derzeit sind wir an einer Neuentwicklung einer XCP Parameter GUI tätig.

Im Anhang findest du ein PDF mit dem Konzept des Filters.

Ziel des Filters ist es, euch als Kunden die Möglichkeit zu bieten, eine zur Laufzeit veränderbare Mess- und Parametrierkonfiguration

bereit zu stellen.

Die GUI soll auf der Hauptseite alle Funktionen zum Verändern und zyklischen Einlesen von Signalwerten besitzen.

Über einen zusätzlichen "Configure Signallists" - Dialog kann sich der Benutzer die erforderlichen Signallisten erstellen.

Es wird zudem in Erwägung gezogen Drittanbieterkonfigurationen, wie zum Beispiel '.par' - Dateien, einlesen zu können.

History

#1 - 2021-05-26 08:18 - hidden

- Status changed from New to In Progress

- Private changed from No to Yes

- Topic set to CalibrationTB::XCP

#2 - 2021-05-26 16:24 - hidden

Hi Thomas,

the XCP Display has been dropped by Kundenforum for ADTF 3.x, so we currently only provide a qml example to set values via connected XCP

Master within our example sessions.
But we are working on a parameter gui for calibration.

@ Michael: Can you please give Thomas a few words about the concept and collect sum additonal requirements for BOSCH to plan afterwards ?

#3 - 2021-05-27 05:52 - hidden

Hi Thomas,

wie Flo schon erwähnt hat, könnt ihr aus den aktuellen Examples den Qt Quick Filter 'DataGenerator' benutzen.

Die zugehörige QML Datei findet ihr an folgender Stelle und könntet ihr dann entsprechend eurer Bedürfnisse erweitern:

$(ADTF_CALIBRATION_TOOLBOX_DIR)\src\examples\projects\Calibrationtoolbox_Project\adtfsessions\xcp_without_transportlayer_session\externa

l_files\QmlDataGenerator.qml

Derzeit sind wir an einer Neuentwicklung einer XCP Parameter GUI tätig.

Im Anhang findest du ein PDF mit dem Konzept des Filters.

Ziel des Filters ist es, euch als Kunden die Möglichkeit zu bieten, eine zur Laufzeit veränderbare Mess- und Parametrierkonfiguration bereit zu stellen.

Die GUI soll auf der Hauptseite alle Funktionen zum Verändern und zyklischen Einlesen von Signalwerten besitzen.

Über einen zusätzlichen "Configure Signallists" - Dialog kann sich der Benutzer die erforderlichen Signallisten erstellen.

Es wird zudem in Erwägung gezogen Drittanbieterkonfigurationen, wie zum Beispiel '.par' - Dateien, einlesen zu können.

Du kannst das Konzept gerne in euren Toolingrunden vorzeigen und die Wünsche der Anwender mit aufzeichnen.

Ich bin über jeden Input froh.

Schöne Grüße,

Michael

#4 - 2021-05-27 05:52 - hidden

- File xcp_gui_concept.pdf added

#5 - 2021-06-07 11:14 - hidden

Hallo Thomas,

hast du noch weitere Informationen für Michael? Ansonsten würden wir das Ticket schließen. Danke.

Grüße

Margarete

#6 - 2021-06-07 12:17 - hidden

Hallo Margarete,

das passt soweit.

Gruß Thomas

#7 - 2021-06-08 11:04 - hidden

- Description updated

- Status changed from In Progress to To Be Closed

- Resolution set to Product Issue Opened

#9 - 2021-06-08 11:16 - hidden

- Project changed from 5 to Public Support

- Subject changed from Feature Request : UI for send values on calibration signals in XCP in calibration toolbox to UI for send values on calibration

signals using XCP

- Description updated

- Private changed from Yes to No

- Resolution changed from Product Issue Opened to Known Feature Request

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADTFGES-322

#10 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed

Files

xcp_gui_concept.pdf 720 KB 2021-05-27 hidden
